JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

Enclosing interface:
  WinCrypt

    public static class WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

extends Structure

The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` `cbSize` Size of this structure in bytes.
`int` `dwPromptFlags` DWORD flags that indicate when prompts to the user are to be displayed.
`WinDef.HWND` `hwndApp` Window handle to the parent window.
`java.lang.String` `szPrompt` A string containing the text of a prompt to be displayed.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinCrypt.CRYPTPROTECT_PROMPTSTRUCT()`
`WinCrypt.CRYPTPROTECT_PROMPTSTRUCT(Pointer memory)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbSize

    public int cbSize

  Size of this structure in bytes.

### dwPromptFlags

    public int dwPromptFlags

  DWORD flags that indicate when prompts to the user are to be displayed.

### hwndApp

    public WinDef.HWND hwndApp

  Window handle to the parent window.

### szPrompt

    public java.lang.String szPrompt

  A string containing the text of a prompt to be displayed.

Constructor Detail

### WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

    public WinCrypt.CRYPTPROTECT_PROMPTSTRUCT()

### WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

    public WinCrypt.CRYPTPROTECT_PROMPTSTRUCT(Pointer memory)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.